Docs

Get Drive User Shared

GET /Drives/{driveId}/crew/{crewId}/shared

GET/Drives/{driveId}/crew/{crewId}/shared

Returns the files and folders shared directly with a crew member, optionally navigating into a path of the shared subtree. A caller can only retrieve their own shared items; the association is the grantedAssociation that gave access to the path (from this response) and is required when path is provided.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
crewIduuidRequired

Query Parameters

FieldTypeRequiredDescription
pathstringOptional
associationuuidOptional

Response

FieldTypeDescription
pathPartsGetDriveUserSharedResponsePathPart[]| null
filesGetDriveUserSharedResponseItem[]| null
foldersGetDriveUserSharedResponseItem[]| null
permissionsstring[]| null

GetDriveUserSharedResponsePathPart

FieldTypeDescription
namestring| null
pathstring| null
grantedAssociationuuid

GetDriveUserSharedResponseItem

FieldTypeDescription
iduuid
grantedAssociationuuid
typestring| null
namestring| null
descriptionstring| null
pathstring| null
fullPathstring| null
permissionsstring[]| null
associationsGetDriveUserSharedResponseItemAssociation
versionsstring[]| null

GetDriveUserSharedResponseItemAssociation

FieldTypeDescription
collaboratorsGetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null
areasGetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null
crewMembersGetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null

GetDriveUserSharedResponseItemAssociationAssociatedEntity

FieldTypeDescription
iduuid
namestring| null